Bug 204847 - Unowned directories
Unowned directories
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: iso-codes (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag Nemade
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-31 17:04 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-24 02:42:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-08-31 17:04:04 EDT
Description of problem:
iso-codes installs files in various unowned locale directories.

For example:

$ rpm -qf /usr/share/locale/sw /usr/share/locale/sw/LC_MESSAGES
file /usr/share/locale/sw is not owned by any package
file /usr/share/locale/sw/LC_MESSAGES is not owned by any package
$ rpm -qf /usr/share/locale/sw/LC_MESSAGES/iso*
iso-codes-0.49-1
iso-codes-0.49-1

There appear to be 145 such unowned directories if the following ugly script is
to be believed:

rpm -ql iso-codes \
    | while read file ; do dirname "$file" ; done \
    | while read dir ; do echo $dir ; dirname $dir ; done \
    | sort -u | xargs rpm -qf | grep 'is not owned' | wc -l

Version-Release number of selected component (if applicable):
0.49-1
Comment 3 Jens Petersen 2007-07-23 23:58:19 EDT
This looks fixed to me (in F7 at least), could you confirm, Parag?
Comment 4 Parag Nemade 2007-07-24 01:29:53 EDT
on rawhide and F7 it gave me
 rpm -ql iso-codes     | while read file ; do dirname "$file" ; done     | while
read dir ; do echo $dir ; dirname $dir ; done     | sort -u | xargs rpm -qf |
grep 'is not owned' | wc -l
0


Note You need to log in before you can comment on or make changes to this bug.